%set_verify_elf_method textrel=relaxed

%define	vdrbuild	1.3.15-alt1
%define	plugindir	/usr/lib/vdr
%define	confplugdir	/var/lib/vdr/config/plugins
%define	startdir	/var/lib/vdr/config/start
%define pname 		vdrcd

Name: vdr-%pname
Version: 0.0.10
Release: alt4

Summary: Media detector for VDR
Summary(ru_RU.UTF-8): Модуль определения типа мультимедия-дисков для VDR
License: GPL
Group: Video
URL: http://www.magoa.net/linux
Source0: %name-%version.tgz
Source1: mount.sh
Patch0: russian-%pname-%version.diff
BuildPreReq: kernel-headers-dvb vdr-devel = %vdrbuild 
BuildRequires: gcc-c++ libjpeg-devel libstdc++-devel
Requires: vdr = %vdrbuild

%description
This PlugIn tries to identify the type of a Media Disc inserted into your
CD-ROM/DVD drive. If the type of media is known and an appropriate PlugIn
is loaded, it starts it. If you have a VDR directory structure on that disc,
it launches VDR's own Recording Menu. 

%description -l ru_RU.UTF-8
Этот модуль пытается определить тип мультимедийного диска, вставленного в устройство
CD-ROM/DVD. Если тип диска известен, и соответствующий ему модуль VDR установлен, 
то начнётся воспроизведение. Если диск содержит структуру каталогов VDR, будет 
открыто меню записей VDR.

%prep
%setup -c -q

# place everything in order
%__mkdir -p PLUGINS/src
%__mkdir -p PLUGINS/lib
%__cp -r %_includedir/vdr/* .
%__mv %pname-%version PLUGINS/src/%pname

%patch0 -p1

%build
%make plugins

%install
%__install -d %buildroot%plugindir
%__install PLUGINS/lib/* %buildroot%plugindir
%__install -d %buildroot%confplugdir
%__install %SOURCE1 %buildroot%confplugdir/mount.sh
%__install -d %buildroot%startdir
echo -n '-m %confplugdir/mount.sh' > %buildroot%startdir/%pname

%files
%plugindir/*
%confplugdir/mount.sh %config
%startdir/* %attr(644,root,root) %config
%doc PLUGINS/src/%pname/README

%post
oldIFS="$IFS"
IFS='
'
for i in `cat /etc/fstab`
do
    IFS="$oldIFS"
    set dummy $i
    mountpoint=$3
    options=$5
    if [ `echo $options | grep "user"` ] && [ `echo $options | grep "ro"` ] ; then
	if [ ! `grep "$mountpoint" %startdir/%pname` ]; then
             echo -n " -c $mountpoint" >> %startdir/%pname
	fi
    fi 
done

%changelog
* Fri Nov 05 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.0.10-alt4
- vdr-1.3.15

* Fri Oct 29 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.0.10-alt3
- vdr-1.3.14

* Sun Oct 17 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.0.10-alt2
- Buildfix

* Fri Oct 01 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.0.10-alt1
- 0.0.10

* Mon Apr 05 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.0.9-alt1
- Initial build
